:root {
  --background: #f8f8f8;
  --card: #d8d8d8;
  --gray: #aaaaaa;
  --black: #0c0c0c;
  --accent: #fc7919;
  --accent-hover: #c2560f;
  --accent-light: #fce5d0;
  --cerrar: #fc1919;
  --accent-dark: #fce519;
  --radius: 20px;
  --border: #e0e0e0;
  --dark-overlay: rgba(0, 0, 0, 0);
  --radius: 16px;
  --letra: "Fjalla One", sans-serif;
  --font-body-scale: 1rem;
}

/*Globales*/
html,
body {
  height: 100%;
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  background-color: var(--background);
  font-family: var(--letra);
  min-height: 100vh;
}

body,
html {
  height: 100%;
  margin: 0;
  padding: 0;
}

main {
  height: 100vh;
  overflow-y: scroll;
  overflow-x: hidden;
}
@media (max-width: 720px) {
  main {
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
    justify-content: flex-start;
    overflow-y: scroll;
  }
}

@media (max-width: 720px) {
  section,
  .banner {
    height: 100vh;
    scroll-snap-align: start;
  }
}

.container {
  width: 100%;
  background-color: var(--background);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
}

/* PORTADA */
body.loading {
  overflow: hidden;
}

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

/* BANNER */
.banner {
  position: relative;
  height: 100vh;
  background-size: cover;
  background-position: center;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  scroll-snap-align: start;
}

@media (max-width: 720px) {
  .overlay {
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: first baseline;
    text-align: left;
    padding: 2rem;
  }
}

.badge {
  display: inline-block;
  background: var(--accent);
  color: white;
  padding: 0.4rem 1rem;
  border-radius: 30px;
  font-size: 0.9rem;
  font-weight: 700;
  margin-bottom: 1rem;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.overlay h2 {
  font-size: 4rem;
  font-weight: 900;
  line-height: 1.1;
  margin: 1.5rem 0;
  color: var(--accent);
}
.overlay h2.tituloRegistros {
  font-size: 3.5rem;
}

.overlay h2 span {
  display: block;
  font-size: 0.7em;
  opacity: 0.9;
}

.overlay h3 {
  font-size: 2.8rem;
  font-weight: 700;
  margin: 1rem 0;
  color: var(--accent-light);
}

.overlay p {
  font-size: 1.15rem;
  margin-bottom: 2rem;
  opacity: 0.95;
  max-width: 900px;
  max-height: 50px;
}

@media (min-width: 720px) {
  .hero {
    position: relative;
    height: 100vh;
    min-height: 700px;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 0 10%;
    overflow: hidden;
  }

  .overlay {
    color: white;
    margin-top: 5%;
  }

  .overlay::before {
    content: "";
    position: absolute;
    top: -10%;
    left: -10%;
    width: 120%;
    height: 120%;
    background: var(--dark-overlay);
    z-index: -1;
    border-radius: var(--radius);
  }

  .badge {
    display: inline-block;
    background: var(--accent);
    color: white;
    padding: 0.4rem 1rem;
    border-radius: 30px;
    font-size: 0.9rem;
    font-weight: 700;
    margin-bottom: 1rem;
    text-transform: uppercase;
    letter-spacing: 1px;
  }

  .overlay h2 {
    font-size: 5.5rem;
    font-weight: 900;
    line-height: 1.1;
    margin: 1.5rem 0;
  }

  .overlay h2 span {
    display: block;
    font-size: 0.7em;
    opacity: 0.9;
  }

  .overlay h3 {
    font-size: 2.8rem;
    font-weight: 700;
    margin: 1rem 0;
    color: var(--accent-light);
  }

  .overlay p {
    font-size: 1.25rem;
    margin-bottom: 2rem;
    opacity: 0.95;
    max-width: 900px;
    max-height: 50px;
  }
}

/* SECTIONS */
section {
  position: relative;
  height: 100vh;
  background-size: cover;
  background-position: center;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}
@media (max-width: 350px) {
  section {
    min-height: 55rem;
  }
}

.overlayEdicion {
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  background: linear-gradient(#0000007a);
  padding: 2rem;
}

/* TEXTOS DE LOS SECTIONS */
.Titulo-Section {
  text-align: center;
  font-size: 28px;
  color: #ffa023;
  margin: 1rem;
  text-transform: uppercase;
}

/* TEXTOS DE LAS FERIAS */
.tituloFeria h3 {
  text-align: center;
  font-size: 2.2rem;
  margin: 0;
}

.texto-tematica {
  text-align: left;
  padding-top: 1rem;

  margin: 1rem;
  font-weight: 400;
  font-size: 18px;
}

.texto-Horarios {
  text-align: left;
  margin: 1rem;
  font-weight: 500;
  font-size: 18px;
}
.texto-Horarios strong {
  color: #ffa023;
  font-size: 20px;
}

/* TEXTO DEL SISTEMA DE PUNTOS */
.texto-explicacion {
  text-align: left;
  padding-top: 1rem;
  color: var(--card);
  margin: 1rem;
  font-weight: 600;
  font-size: 18px;
}

.texto-reglas {
  text-align: left;
  padding-top: 1rem;
  color: var(--card);
  margin: 1rem;
  font-weight: 400;
  font-size: 16px;
}

@media (min-width: 720px) {
  .main {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    gap: 3rem;
    max-width: 1400px;
    margin-left: auto;
    margin-right: auto;
    padding: 0 2rem;
    padding-top: 50vh; /* Compensamos visualmente */
    margin-top: -50vh;
  }
  section {
    margin-top: 1var (--accent-dark);
    border-radius: var(--radius);
    margin-top: 5%;
    max-height: 650px;
  }
  section:last-child {
    margin-bottom: 5%;
  }

  .overlayEdicion {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 4rem;
  }

  .titulo h2 {
    font-size: 4rem;
    margin-bottom: 1rem;
    text-transform: uppercase;
    color: var(--accent);
  }

  .texto p,
  .texto-tematica p,
  .texto-Horarios p,
  .texto-explicacion p,
  .texto-reglas p {
    font-size: 1.1rem;
    line-height: 1.6;
    margin-bottom: 1rem;
  }

  .texto-Horarios strong {
    color: #ffa837;
  }
}

.botones {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  font-size: 1rem;
  width: 100vw;
  justify-content: space-evenly;
}

@media (min-Width: 720px) {
    .botones {
      width: auto;
    }
}
.btn {
  display: inline-block;
  padding: 1rem 2.5rem;
  background: var(--accent);
  color: white;
  font-weight: 700;
  font-size: 1rem;
  border: none;
  border-radius: 50px;
  cursor: pointer;
  transition: all 0.3s ease;
  text-decoration: none;
  box-shadow: 0 8px 20px rgba(252, 121, 25, 0.3);
}

.unirse {
  background: #194efc;
}

.btn:hover {
  background: var(--accent-hover);
  transform: translateY(-4px);
  box-shadow: 0 12px 30px rgba(252, 121, 25, 0.4);
}

.unirse:hover {
  background: #0f39c2;
  transform: translateY(-4px);
  box-shadow: 0 12px 30px rgba(25, 97, 252, 0.4);
}

@media (min-width: 720px) {
  .btn {
    font-size: 1.1rem;
  }
  .texto p {
    width: 60%;
  }
}

/* sold Out */
.sold-out {
  position: relative;
  overflow: hidden;
  color: white;
  background-color: rgba(0, 0, 0, 0.85);
  
}


.sold-out::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.85);
  z-index: 19;
}


.sold-out h1 {
  position: relative;   
  z-index: 20;    
}

